<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:jsf="http://xmlns.jcp.org/jsf">
    
        <h:head>
        
        <link rel = "shortcut icon" type = "imagem/x-icon" href = "../resources/imagens/favicon.ico"/>
        <link href="resources/css/modern-business.css" rel="stylesheet" type="text/css"/>

        <!-- Bootstrap core CSS -->
        <h:outputStylesheet library="css" name="bootstrap.min.css" />
        <!-- Custom styles for this template -->
        <h:outputStylesheet library="css" name="modern-business.css" />

        <!--                <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>-->
        <!--                <h:outputScript library="js" name="meu.js" />-->

        <h:outputStylesheet library="css" name="font-awesome.min.css" />
    
    </h:head>

    <body>

        <ui:composition template="./../WEB-INF/template.xhtml">

            <ui:define name="conteudo">
                
                
                <h:form  enctype="multipart/form-data">

                    <p:fieldset legend="Estabelecimento" class="rede"> 


                    <h:panelGrid columns="1" id="estabGrid" cellpadding="5" width="80%">

                        <p:outputLabel value="Imagem ou Logo:" for="messages"/>
                        <p:growl id="messages" showDetail="true" />

                        <div class="upload-button">
                            <h:inputFile value="#{uploadController.imagem}">
                                <f:passThroughAttribute name="accept" value="image/png"/>
                                <f:ajax event="change" listener="#{uploadController.doUpload()}" execute="@form" render="@form"/>
                            </h:inputFile>
                        </div>
                        
                        <h:panelGroup rendered="#{uploadController.upload}" layout="block" style="text-align: center">
                            <img src="image.png" height="400" width="400" style="border:3px solid #DDD;"/>
                        </h:panelGroup>

                        
                        
                        
                        <p:outputLabel value="Código:" />
                        <p:inputText value="#{estabelecimentoBean.estabelecimento.id}" readonly="true" />

                        <p:outputLabel value="Nome do Estabelecimento:" for="txtestab2" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.nome}" id="txtestab2" required="true" />

                        <p:outputLabel value="CNPJ:" for="txtCNPJ" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.cnpj}" id="txtCNPJ" required="false" />

                        <p:outputLabel value="Prorietário:" for="txtPropietario" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.usuario}" id="txtPropietario" required="false" />

                        <p:outputLabel value="Telefone:" for="txtTel" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.telefone}" id="txtTel" required="false" />

                        <p:outputLabel value="Endereço:" for="txtEnd" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.end}" id="txtEnd" required="false" />

                        <p:outputLabel value="Bairro:" for="txtBairro" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.bairro}" id="txtBairro" required="false" />

                        <p:outputLabel value="Cidade:" for="txtCidade" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.cidade}" id="txtCidade" required="false" />


                        <p:outputLabel value="CEP:" for="txtCep" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.cidade}" id="txtCep" />

                        <p:outputLabel value="UF:" for="txtUf" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.uf}" id="txtUf" />

                        <p:outputLabel value="Posição Geografica:" for="txtPosicao" />
                        <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endereco.coodernadas}" id="txtPosicao" required="false" disabled="true"/>


                    </h:panelGrid><br></br>



                    <p:commandButton value="Salvar" actionListener="#{estabelecimentoBean.salvar}" style="margin: 20px"
                                     update="estabGrid"
                                     />




                    <p:commandButton  icon="ui-icon-plus" value="Adicionar Pratos" type="button" onclick="PF('dlg2').show();" />

                    </p:fieldset><br></br><br></br><br></br>

                    <p:fieldset legend="Pratos">


                        <p:dataTable id="tabela" value="#{pratosbean.listPratos}" var="pratos">

                            <p:column headerText="Código">
                                #{pratos.id}
                            </p:column>

                            <p:column headerText="Nome">
                                #{pratos.nome}
                            </p:column>

                            <p:column headerText="Ações">

                                <p:commandLink value="Editar" update="pratosGrid" immediate="true" >
                                    <f:setPropertyActionListener 
                                        value="#{pratos}"
                                        target="#{pratosbean.pratos}" 
                                        />
                                </p:commandLink>

                                <p:commandLink value="Excluir" update="@this"  actionListener="#{pratosbean.deletar(pratos)}" >

                                    <p:confirm header="Confirmação" message="Tem certeza ?" icon="ui-icon-alert" />

                                </p:commandLink>


                            </p:column>
                        </p:dataTable>



                    </p:fieldset>





                    <br></br><br></br>
                    <b:buttonGroup>
                        
                        
                        
                     
                        <b:commandButton value="Excluir Conta" actionListener="#{estabelecimentoBean.deletar(estabelecimento)}"
                                         style="position: relative"
                                         />
                    </b:buttonGroup>



                    <br></br><br></br><br></br>




                    <p:dialog  header="Adicionar Pratos" widgetVar="dlg2" modal="true" height="350px" width="600px">
                        
                        <form jsf:id="form" enctype="multipart/form-data">
                            
                            <p:growl id="pratos" showDetail="true" />
                            
                            <p:fieldset style="text-align: center">
                                
                                <h:outputLabel value="Nome do Prato" for="txtnomePratos" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.pratos.nome}" id="txtnomePratos" required="true" />

                                <h:outputLabel value="Descrição" for="txtDesc" />
                                <p:inputTextarea class="form-control" value="#{estabelecimentoBean.pratos.descricao}" id="txtDesc" required="true"/>
                               
                                
                            </p:fieldset><br/>
                            
                            <p:fieldset style="text-align: center">
                                
                                
                                <p:growl id="usuarioImagem" showDetail="true" />
                                
                                <p:outputLabel  value="Click Aqui Fazer Upload da Imagem"/>

                                <div class="upload-button" align="center" >
                                    
                                    <h:inputFile  label="Arquivo" value="#{uploadController.imagem}" >
                                        <f:passThroughAttribute name="accept" value="image/png"/>
                                        <f:ajax event="change" listener="#{uploadController.doUpload()}" execute="@form" render="@form"/>
                                    </h:inputFile>
                                    
                                </div>
                                <h:panelGroup rendered="#{uploadController.upload}" layout="block" style="text-align: center">
                                    <img src="image.png" height="400" width="200" style="border:3px solid #DDD;"/>
                                </h:panelGroup>
                            </p:fieldset><br/>
                            
                            <p:commandButton value="Salvar" actionListener="#{estabelecimentoBean.salvarPrato()}"
                                             style="margin: 20px"
                                             update="pratos"
                                            />

                        </form>
                           
                    </p:dialog>   



                </h:form>


                    
            </ui:define>

        </ui:composition>

    </body>
</html>
